
%define ALD_Ver		2.0

Name:         audacious

License:      GPL
Summary:      Audacious - A relatively powerful media player
Version:      3.10.1
Release:      0

#https://distfiles.audacious-media-player.org/

Source: %{name}-%{version}.tar.xz

%define DestDir		/Multimedia
# -----------------------------------------------------

%if %{_target_cpu} == %{_build_cpu}
%define _srcrpmdir	%{_topdir}/SRPMS/%{ALD_Ver}
%define _CROSS 0
%define MakeLocCross 0
%else
# rpm --target=armv7hl -ba xxxxx.spec
%define _srcrpmdir	%{_topdir}/SRPMS/tmp
%define _CROSS 1
%define MakeLocCross 1
%define _host %{_arch}-%{_os}%{_gnu}
%endif

#------------------ CROSS DIR --------------------

%define docdir		%{_defaultdocdir}/%{name}

%define auto_local %{_sourcedir}/AUTO_LOCAL-1.sh
%define have_auto_local %(if test -x %{auto_local} ; then echo 1 ; else echo 0 ; fi)

%if %{have_auto_local}
%define __os_install_post %{nil}
%define CrossPath	%(%{auto_local} -GetCrossPath -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu})
%endif

# ------------------- description ------------------------------------
%description
A relatively powerful media player
#-------------------------------
%package devel
Summary:      Libraries for the C compiler
%description devel
These libraries are needed to compile C code.
# ------------------- setup ------------------------------------------
%Prep
%setup -q -n %{name}-%{version}

# ------------------- Build ------------------------------------------
%Build 
%if %{_CROSS}
export PATH="%{CrossPath}/bin:$PATH"
export GCC_NoHostPath=d
%endif

%if %{_arch} == "i386"
OPTFLAGS="-O2 -march=i586 -falign-functions=4 -falign-jumps=1 -falign-loops=1 -fomit-frame-pointer"
%endif
%if %{_arch} == "x86_64"
OPTFLAGS="-O2"
%endif
%if %{_arch} == "arm"
OPTFLAGS="%{optflags} -O2 -munaligned-access"
%endif

OPTFLAGS="$OPTFLAGS -ffunction-sections -fdata-sections -fno-asynchronous-unwind-tables"

CFLAGS="$OPTFLAGS -DG_DISABLE_CAST_CHECKS -std=gnu99"
CXXFLAGS="$OPTFLAGS"
LDFLAGS="-Wl,--gc-sections -Wl,-Bsymbolic -static-libgcc -static-libstdc++"

export ac_cv_path_TPUT="false"

%configure \
	--disable-silent-rules \
	--disable-nls \
	--disable-rpath \
	&>FConfigure_log.txt

make V=1 &>FMake_log.txt

# ------------------- Install ----------------------------------------
%Install
%if %{_CROSS}
export PATH="%{CrossPath}/bin:$PATH"
export GCC_NoHostPath=d
%endif

rm -rf $RPM_BUILD_ROOT
mkdir -p %{_srcrpmdir}
mkdir -p $RPM_BUILD_ROOT%{docdir}

make DESTDIR=$RPM_BUILD_ROOT install &>FInstall_log.txt

if test %{_libdir} = "/usr/%{_lib}" ; then
sed -i s:" -L\${lib_dir}":: $RPM_BUILD_ROOT%{_libdir}/pkgconfig/audacious.pc
fi

if test -x /usr/bin/rsvg-convert; then
pushd $RPM_BUILD_ROOT%{_datadir}/icons/hicolor
  mkdir -p 16x16/apps
  rsvg-convert -w 16 -h 16 -o 16x16/apps/audacious.png scalable/apps/audacious.svg
popd
fi

/usr/lib/rpm/check-rpaths

%if %{have_auto_local}
  %{auto_local} -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu} \
	-MakeLocCross=%{MakeLocCross} -DelLocCrossDir=%{_bindir}
%endif  # have_auto_local

# ------------------- Clean ------------------------------------------
%Clean

%if %{have_auto_local}
  %{auto_local} -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu} \
	-MakeLocCross=%{MakeLocCross} \
	-ALD_Ver=%{ALD_Ver} -RpmMovePath=%{DestDir} -tar_arg=bzip2
%endif  # have_auto_local

# ------------------- post ------------------------------------------
%posttrans
if test -d $HOME/.ALDccp/Menu/OpenWith; then
  if ! test -d $HOME/.ALDccp/Menu/OpenWith/Multimedia; then
    mkdir -p $HOME/.ALDccp/Menu/OpenWith/Multimedia
    printf "[Desktop Entry]\nType=Directory\nName=Multimedia\nIcon=multimedia" >$HOME/.ALDccp/Menu/OpenWith/Multimedia/.directory
  fi
  cp /usr/share/applications/audacious.desktop $HOME/.ALDccp/Menu/OpenWith/Multimedia/
fi

if test -d $HOME/.ALDccp/Menu/StartMenu/Programs; then
  if test ! -d $HOME/.ALDccp/Menu/StartMenu/Programs/Multimedia; then
    mkdir -p $HOME/.ALDccp/Menu/StartMenu/Programs/Multimedia
    printf "[Desktop Entry]\nType=Directory\nName=Multimedia\nIcon=multimedia" >$HOME/.ALDccp/Menu/StartMenu/Programs/Multimedia/.directory
  fi
  cp /usr/share/applications/audacious.desktop $HOME/.ALDccp/Menu/StartMenu/Programs/Multimedia
fi

if test -d $HOME/.ALDccp/Desktop; then
  cp /usr/share/applications/audacious.desktop $HOME/.ALDccp/Desktop/
fi

if test -d $HOME/.ALDccp/share/applications; then
  cp /usr/share/applications/audacious.desktop $HOME/.ALDccp/share/applications/
fi

%postun
if test "$1" = "0" ; then
  rm -f $HOME/.ALDccp/Menu/OpenWith/Multimedia/audacious.desktop
  if test -z "$(ls -A $HOME/.ALDccp/Menu/OpenWith/Multimedia/*.desktop 2>/dev/null)"; then
    rm -rf $HOME/.ALDccp/Menu/OpenWith/Multimedia
  fi

  rm -f $HOME/.ALDccp/Menu/StartMenu/Programs/Multimedia/audacious.desktop
  if test -z "$(ls -A $HOME/.ALDccp/Menu/StartMenu/Programs/Multimedia/*.desktop 2>/dev/null)"; then
    rm -rf $HOME/.ALDccp/Menu/StartMenu/Programs/Multimedia
  fi

  rm -f $HOME/.ALDccp/Desktop/audacious.desktop
  rm -f $HOME/.ALDccp/share/applications/audacious.desktop
fi
# ------------------- Files ------------------------------------------
%files
%{_bindir}
%{_libdir}/*.so.*
%{_datadir}

%files devel
%{_includedir}
%{_libdir}/*.so
%{_libdir}/pkgconfig
